function [] = visualize(time, state_sim, xmin, xmax)

l = 0.8;

figure(10); clf
whitebg([1.0 1.0 1.0])
set(gcf,'Color',[1 1 1])

x_r = 0;
y_r = 0;

line([xmin xmax], [0 0], 'color', 'k', 'Linewidth',1.5); hold on;
line([xmin xmin], [-0.1 0.1], 'color', 'k', 'Linewidth',1.5); hold on;
line([xmax xmax], [-0.1 0.1], 'color', 'k', 'Linewidth',1.5); hold on;

plot(x_r, y_r, 'gx', 'MarkerSize', 16, 'Linewidth', 2);
text(1.5-0.4,1+0.57,['current time: ' sprintf('%.2f ',time(end)) 's'],'FontSize',15);
plot(state_sim(1),0,'ks','MarkerSize',30,'Linewidth',3);

theta = state_sim(2);
xB = state_sim(1)-l*sin(theta);
yB = l*cos(theta);

line([state_sim(1) xB], [0 yB], 'Linewidth',2);
plot(xB,yB,'ro','MarkerSize',25,'Linewidth',3);

grid on;
xlim([xmin-0.5 xmax+0.5]);
ylim([xmin-0.5 xmax+0.5]);